Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Adds Rake and Jeweler as development dependencies

  • Loading branch information...
commit 0711183a5595e041a344a7ae7a9bb7bac2685964 1 parent a59d36d
@matiaskorhonen matiaskorhonen authored
Showing with 9 additions and 0 deletions.
  1. +7 −0 Gemfile
  2. +2 −0  Rakefile
View
7 Gemfile
@@ -1,10 +1,17 @@
source :rubygems
+# Include all the gems from the Gemspec
+gemspec
+
gem 'rack' # Just let it work with latest. If the API breaks, I'll fix it
gem 'nokogiri'
gem 'jsmin'
gem 'dalli'
+# Required for development
+gem 'rake'
+gem 'jeweler'
+
group :test do
gem 'rspec', '2.6.0'
gem 'capybara', '1.0.0'
View
2  Rakefile
@@ -20,8 +20,10 @@ begin
gem.add_dependency 'memcached'
gem.add_dependency 'mime-types'
gem.add_dependency 'jsmin'
+ gem.add_development_dependency 'rake'
gem.add_development_dependency 'rspec', '2.6.0'
gem.add_development_dependency 'capybara', '1.1.0'
+ gem.add_development_dependency 'jeweler', '~> 1.8.3'
end
rescue LoadError
puts 'Jeweler not available. gemspec tasks OFF.'
Please sign in to comment.
Something went wrong with that request. Please try again.